Qyra
ReferenceHomepage

PATCH/api/v1/projects/{projectUuid}/homepage/{homepageUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
homepageUuidstringYes

Request body

{
  "baseUpdatedAt": "2024-01-01T00:00:00.000Z",
  "draftConfig": {
    "rows": [
      {
        "blocks": [
          {
            "config": {
              "content": "string"
            },
            "type": "markdown",
            "id": "string"
          }
        ],
        "id": "string"
      }
    ],
    "version": 1
  },
  "name": "string"
}

Responses

200 — Success

{
  "results": {
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "createdByUserUuid": "string",
    "isDefault": true,
    "publishedConfig": {
      "rows": [
        {
          "blocks": [
            {
              "config": {
                "content": "string"
              },
              "type": "markdown",
              "id": "string"
            }
          ],
          "id": "string"
        }
      ],
      "version": 1
    },
    "draftConfig": {
      "rows": [
        {
          "blocks": [
            {
              "config": {
                "content": "string"
              },
              "type": "markdown",
              "id": "string"
            }
          ],
          "id": "string"
        }
      ],
      "version": 1
    },
    "name": "string",
    "projectUuid": "string",
    "homepageUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}